For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet account details
      • GETGet user activity logs
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsAccount

Get user activity logs

GET
https://api.brevo.com/v3/organization/activities
GET
/v3/organization/activities
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.account.getAccountActivity({});
8}
9main();
1{
2 "logs": [
3 {
4 "action": "login-success",
5 "date": "2023-03-16T16:49:23+05:30",
6 "user_agent": "Mozilla/5.0 (iPad; U; CPU OS 3_2_1 like Mac OS X; en-us)",
7 "user_email": "test@mycompany.com",
8 "user_ip": "192.158.1.34"
9 },
10 {
11 "action": "update-profile",
12 "date": "2023-03-15T16:49:23+05:30",
13 "user_agent": "Mozilla/5.0 (iPad; U; CPU OS 3_2_1 like Mac OS X; en-us)",
14 "user_email": "test@myexample.com",
15 "user_ip": "192.158.1.38",
16 "count": 2
17 }
18 ]
19}
Retrieves user activity logs from your organization for security monitoring and audit compliance. Use this to: - Monitor user login activities and access patterns - Track account modifications and configuration changes - Generate security audit reports and compliance documentation - Investigate suspicious activities and unauthorized access - Monitor team member actions and account usage Key information returned: - Complete user activity details and timestamps - User identification (email, IP address, browser) - Action types and activity descriptions - Security-relevant events and access logs - Historical activity data for audit trails Note: Requires Enterprise plan for access to organization activity logs.
Was this page helpful?
Previous

Get the list of all the sub-accounts of the master account.

Next
Built with

Retrieves user activity logs from your organization for security monitoring and audit compliance.

Use this to:

  • Monitor user login activities and access patterns
  • Track account modifications and configuration changes
  • Generate security audit reports and compliance documentation
  • Investigate suspicious activities and unauthorized access
  • Monitor team member actions and account usage

Key information returned:

  • Complete user activity details and timestamps
  • User identification (email, IP address, browser)
  • Action types and activity descriptions
  • Security-relevant events and access logs
  • Historical activity data for audit trails

Note: Requires Enterprise plan for access to organization activity logs.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

startDatestringOptional

Mandatory if endDate is used. Enter start date in UTC date (YYYY-MM-DD) format to filter the activity in your account. Maximum time period that can be selected is one month. Additionally, you can retrieve activity logs from the past 12 months from the date of your search.

endDatestringOptional

Mandatory if startDate is used. Enter end date in UTC date (YYYY-MM-DD) format to filter the activity in your account. Maximum time period that can be selected is one month.

emailstringOptional
Enter the user's email address to filter their activity in the account.
limitlongOptional1-100Defaults to 10
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document in the page.

Response

list of user activity logs
logslist of objects
Get user activity logs

Errors

400
Bad Request Error